Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EntityCallbackHandler

    java.lang.Object
      org.hibernate.ejb.event.EntityCallbackHandler

All Implemented Interfaces:
  java.io.Serializable

    public class EntityCallbackHandler

extends java.lang.Object
implements java.io.Serializable

Keep track of all lifecycle callbacks and listeners for a given persistence unit

Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`EntityCallbackHandler()`

Method Summary
`void` | `add(org.hibernate.annotations.common.reflection.XClass entity, org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)`
`boolean` | `postCreate(java.lang.Object bean)`
`boolean` | `postLoad(java.lang.Object bean)`
`boolean` | `postRemove(java.lang.Object bean)`
`boolean` | `postUpdate(java.lang.Object bean)`
`boolean` | `preCreate(java.lang.Object bean)`
`boolean` | `preRemove(java.lang.Object bean)`
`boolean` | `preUpdate(java.lang.Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityCallbackHandler

    public EntityCallbackHandler()

Method Detail

### add

    public void add(org.hibernate.annotations.common.reflection.XClass entity,
                    org.hibernate.annotations.common.reflection.ReflectionManager reflectionManager)

### preCreate

    public boolean preCreate(java.lang.Object bean)

### postCreate

    public boolean postCreate(java.lang.Object bean)

### preRemove

    public boolean preRemove(java.lang.Object bean)

### postRemove

    public boolean postRemove(java.lang.Object bean)

### preUpdate

    public boolean preUpdate(java.lang.Object bean)

### postUpdate

    public boolean postUpdate(java.lang.Object bean)

### postLoad

    public boolean postLoad(java.lang.Object bean)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD